bazel-1.0.0.bazelrc

# for now: filter out annoying TASTY warnings
common --ui_event_filters=-INFO

common --enable_bzlmod

# Don't use toolchains_llvm for the swift app build
common:mactools --ignore_dev_dependency

# Try to speed up sandboxes
common --experimental_reuse_sandbox_directories

common --enable_platform_specific_config

common --strategy=Scalac=worker
common --worker_sandboxing

common --local_test_jobs=64
common --jobs=64

common --cxxopt="--std=c++23"
common --cxxopt="-Wno-deprecated-non-prototype"
common --host_cxxopt="--std=c++23"

common --javacopt="-Xlint:-options"

# suppress warnings due to https://developer.apple.com/forums/thread/733317
common --linkopt=-Wl
common:macos --linkopt=-Wl,-no_warn_duplicate_libraries

common --java_language_version=17
common --java_runtime_version=remotejdk_17
common --tool_java_language_version=17
common --tool_java_runtime_version=remotejdk_17
